
/*
 * @(#)math.h	1.1 (National Semiconductor) 3/1/88 15:39:48
 * @(#) copyrights and other release restrictions may apply
 */

extern int errno;

extern double atof(), frexp(), ldexp(), modf();
extern double j0(), j1(), jn(), y0(), y1(), yn();
extern double erf(), erfc();
extern double exp(), log(), log10(), pow(), sqrt();
extern double floor(), ceil(), fmod(), fabs();
extern double gamma();
extern double hypot();
extern double sinh(), cosh(), tanh();
extern double sin(), cos(), tan(), asin(), acos(), atan(), atan2();
extern int matherr();

extern float ferf(), ferfc();
extern float fexp(), flog(), flog10(), fpow(), fsqrt();
extern float ffloor(), fceil(), ffmod(), ffabs(), fmodf();
extern float fhypot();
extern float fsinh(), fcosh(), ftanh();
extern float fsin(), fcos(), ftan(), fasin(), facos(), fatan(), fatan2();

#define MAXDOUBLE	1.79769313486231470e+308
#define MAXFLOAT	((float)3.4028234663852892e+38) 
#define HUGE	MAXDOUBLE
#define FHUGE	MAXFLOAT

#define _ABS(x)	((x) < 0 ? -(x) : (x))

struct exception {
	int type;
	char *name;
	double arg1;
	double arg2;
	double retval;
};

#define DOMAIN		1
#define	SING		2
#define	OVERFLOW	3
#define	UNDERFLOW	4
#define	TLOSS		5
#define	PLOSS		6
